/*
 * OSM NB API featuring ETSI NFV SOL005
 * This is Open Source MANO Northbound API featuring ETSI NFV SOL005. For more information on OSM, you can visit [http://osm.etsi.org](http://osm.etsi.org). You can send us your comments and questions to OSM_TECH@list.etsi.org or join the [OpenSourceMANO Slack Workplace](https://join.slack.com/t/opensourcemano/shared_invite/enQtMzQ3MzYzNTQ0NDIyLWVkNTE4ZjZjNWI0ZTQyN2VhOTI1MjViMzU1NWYwMWM3ODI4NTQyY2VlODA2ZjczMWIyYTFkZWNiZmFkM2M2ZDk) 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: OSM_TECH@list.etsi.org
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.lcm.nfvo.osm.rest.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.ArrayList;
import java.util.Objects;
import java.util.UUID;

/**
 * VNF Instance Information Only generic fields (_id, id) are described For a full specification of the VNF Instance see: http://osm-download.etsi.org/ftp/osm-doc/vnfr.html 
 */
@Schema(description = "VNF Instance Information Only generic fields (_id, id) are described For a full specification of the VNF Instance see: http://osm-download.etsi.org/ftp/osm-doc/vnfr.html ")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-03-04T13:48:18.253Z[GMT]")
public class VnfInstanceInfo {
  @SerializedName("_id")
  private UUID _id = null;

  @SerializedName("id")
  private UUID id = null;


  @SerializedName("nsr-id-ref")
  public String nsrIdRef;
  @SerializedName("member-vnf-index-ref")
  public String memberVnfIndexRef;
  public Object additionalParamsForVnf;
  @SerializedName("created-time")
  public double createdTime;
  @SerializedName("vnfd-ref")
  public String vnfdRef;
  @SerializedName("vnfd-id")
  public String vnfdId;
  @SerializedName("vim-account-id")
  public String vimAccountId;
  @SerializedName("vca-id")
  public Object vcaId;
  public ArrayList<Vdur> vdur;
  @SerializedName("connection-point")
  public ArrayList<ConnectionPoint> connectionPoint;
  @SerializedName("ip-address")
  public String ipAddress;
  public Admin _admin;

  public String getNsrIdRef() {
    return nsrIdRef;
  }

  public String getMemberVnfIndexRef() {
    return memberVnfIndexRef;
  }

  public Object getAdditionalParamsForVnf() {
    return additionalParamsForVnf;
  }

  public double getCreatedTime() {
    return createdTime;
  }

  public String getVnfdRef() {
    return vnfdRef;
  }

  public String getVnfdId() {
    return vnfdId;
  }

  public String getVimAccountId() {
    return vimAccountId;
  }

  public Object getVcaId() {
    return vcaId;
  }

  public ArrayList<Vdur> getVdur() {
    return vdur;
  }

  public ArrayList<ConnectionPoint> getConnectionPoint() {
    return connectionPoint;
  }

  public String getIpAddress() {
    return ipAddress;
  }

  public Admin get_admin() {
    return _admin;
  }

  public VnfInstanceInfo _id(UUID _id) {
    this._id = _id;
    return this;
  }

   /**
   * Get _id
   * @return _id
  **/
  @Schema(description = "")
  public UUID getId() {
    return _id;
  }

  public void setId(UUID _id) {
    this._id = _id;
  }

  public VnfInstanceInfo id(UUID id) {
    this.id = id;
    return this;
  }

   /**
   * Get id
   * @return id
  **/
  @Schema(description = "")
  public UUID getIdentifier() {
    return id;
  }

  public void setIdentifier(UUID id) {
    this.id = id;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VnfInstanceInfo vnfInstanceInfo = (VnfInstanceInfo) o;
    return Objects.equals(this._id, vnfInstanceInfo._id) &&
        Objects.equals(this.id, vnfInstanceInfo.id);
  }

  @Override
  public int hashCode() {
    return Objects.hash(_id, id);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VnfInstanceInfo {\n");
    
    sb.append("    _id: ").append(toIndentedString(_id)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
